Bug 1684112 - unable to upgrade to F30 due to broken package dependency
Summary: unable to upgrade to F30 due to broken package dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: whois
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 13:02 UTC by Brian
Modified: 2019-11-07 01:17 UTC (History)
14 users (show)

Fixed In Version: whois-5.5.2-2.fc32 whois-5.5.2-2.fc30 whois-5.5.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 03:56:56 UTC


Attachments (Terms of Use)
Package whois-mkpasswd-5.5.2-1 preventing update from f29 to f30 (4.21 KB, text/plain)
2019-10-13 18:41 UTC, Mark Gajda
no flags Details

Description Brian 2019-02-28 13:02:03 UTC
Description of problem:

Miroslav Suchý asked on fedora-devel to test upgrades from F29->F30 using the command:
  $ sudo dnf --releasever=30 --setopt=module_platform_id=platform:f30 --enablerepo=updates-testing distro-sync
and to report bugs to the packages.

That command fails due to a broken dependency.

Version-Release number of selected component (if applicable):

$ rpm -q whois-mkpasswd
whois-mkpasswd-5.4.1-1.fc29.x86_64

How reproducible:

repeatable

Steps to Reproduce:
1. dnf --releasever=30 --setopt=module_platform_id=platform:f30 --enablerepo=updates-testing distro-sync

Actual results:

Error:
 Problem: package whois-mkpasswd-5.4.1-1.fc29.x86_64 requires whois-nls = 5.4.1-1.fc29, but none of the providers can be installed
  - whois-nls-5.4.1-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.4.1-1.fc29.x86_64

Expected results:

No errors.

Additional info:

Comment 1 Petr Pisar 2019-02-28 13:09:28 UTC
The bug is not in Fedora 29. It's in in Fedora 30 and I fixed it there within whois-5.4.1-3.fc30/mkpasswd-5.4.1-3.fc30 binary package two days ago. You observe this issue because relengs were unable to deliver any new compose since then.

Comment 2 Miro Hrončok 2019-04-02 18:04:11 UTC
Error: 
 Problem: package whois-mkpasswd-5.4.2-1.fc29.x86_64 requires whois-nls = 5.4.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.4.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.4.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)


I guess this is just about https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ac0265ed2 not yet being available on the mirrors, so i'm not reopening (yet).

Comment 3 Petr Pisar 2019-04-03 06:43:23 UTC
Probably. I tried an upgrade from F29 to F30 and DNF successfully found mkpasswd-5.4.2-1.fc30 in F30's fedora repository. So I guess you issue was indeed due to a lacking mirror.

Comment 4 jam01 2019-10-12 17:06:57 UTC
I'm having this same issue:

sudo dnf system-upgrade download --releasever=30
[sudo] password for jam01: 
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Copr repo for papirus-icon-theme owned by dirkdavidis                                                                                                                               17 kB/s | 3.3 kB     00:00    
Copr repo for Arc owned by user501254                                                                                                                                               10 kB/s | 3.3 kB     00:00    
Copr repo for Paper owned by user501254                                                                                                                                             15 kB/s | 3.3 kB     00:00    
Fedora Modular 30 - x86_64                                                                                                                                                          52 kB/s |  19 kB     00:00    
negativo17 - Spotify                                                                                                                                                               5.0 kB/s | 4.4 kB     00:00    
Fedora Modular 30 - x86_64 - Updates                                                                                                                                                53 kB/s |  16 kB     00:00    
Fedora 30 - x86_64 - Updates                                                                                                                                                        32 kB/s |  17 kB     00:00    
Fedora 30 - x86_64                                                                                                                                                                  51 kB/s |  19 kB     00:00    
Fedy Repository                                                                                                                                                                    0.0  B/s |   0  B     02:00    
Failed to synchronize cache for repo 'fedy'
RPM Fusion for Fedora 30 - Free - Updates                                                                                                                                          3.7 kB/s | 3.6 kB     00:00    
RPM Fusion for Fedora 30 - Free                                                                                                                                                    4.0 kB/s | 3.2 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree - Updates                                                                                                                                       4.7 kB/s | 3.7 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree                                                                                                                                                  10 kB/s | 3.2 kB     00:00    
slack                                                                                                                                                                              1.1 kB/s | 1.0 kB     00:00    
Visual Studio Code                                                                                                                                                                 9.2 kB/s | 2.9 kB     00:00    
Ignoring repositories: fedy
Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)



Is there a way to refresh mirrors, if that's the issue?

Comment 5 Mark Gajda 2019-10-13 18:41:36 UTC
Created attachment 1625348 [details]
Package whois-mkpasswd-5.5.2-1 preventing update from f29 to f30

This bug has re-appeared.  I receive the below error when using dnf to update from Fedora 29 to Fedora 30.  Adding --skip-broken has no effect, other than removing the suggestion to use --skip-broken.

=============================================
[root@NewOrleans /]# dnf --refresh upgrade
Adobe Systems Incorporated                                                                                                                        412  B/s | 2.9 kB     00:07    
Fedora Modular 29 - x86_64                                                                                                                        7.3 kB/s |  19 kB     00:02    
Fedora Modular 29 - x86_64 - Updates                                                                                                              3.7 kB/s |  18 kB     00:04    
Fedora 29 - x86_64 - Updates                                                                                                                      5.6 kB/s |  18 kB     00:03    
Fedora 29 - x86_64                                                                                                                                3.9 kB/s |  19 kB     00:04    
RPM Fusion for Fedora 29 - Free - Updates                                                                                                         777  B/s | 3.6 kB     00:04    
RPM Fusion for Fedora 29 - Free                                                                                                                    95  B/s | 3.2 kB     00:34    
RPM Fusion for Fedora 29 - Nonfree - Updates                                                                                                      792  B/s | 3.7 kB     00:04    
RPM Fusion for Fedora 29 - Nonfree                                                                                                                589  B/s | 3.2 kB     00:05    
Fedora 29 - x86_64 - VirtualBox                                                                                                                    52  B/s | 181  B     00:03    
Dependencies resolved.
Nothing to do.
Complete!
[root@NewOrleans /]# time dnf system-upgrade download --refresh --releasever=30  
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Adobe Systems Incorporated                                                                                                                        1.5 kB/s | 2.9 kB     00:01    
Fedora Modular 30 - x86_64                                                                                                                        2.5 kB/s |  19 kB     00:07    
Fedora Modular 30 - x86_64 - Updates                                                                                                              5.4 kB/s |  19 kB     00:03    
Fedora 30 - x86_64 - Updates                                                                                                                      2.4 kB/s |  17 kB     00:07    
Fedora 30 - x86_64                                                                                                                                6.8 kB/s |  19 kB     00:02    
RPM Fusion for Fedora 30 - Free - Updates                                                                                                         755  B/s | 3.6 kB     00:04    
RPM Fusion for Fedora 30 - Free                                                                                                                   1.3 kB/s | 3.2 kB     00:02    
RPM Fusion for Fedora 30 - Nonfree - Updates                                                                                                      1.3 kB/s | 3.7 kB     00:02    
RPM Fusion for Fedora 30 - Nonfree                                                                                                                869  B/s | 3.2 kB     00:03    
Fedora 30 - x86_64 - VirtualBox                                                                                                                    57  B/s | 181  B     00:03    
Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

real	0m48.340s
user	0m14.041s
sys	0m1.080s
[root@NewOrleans /]#
=============================================

Comment 6 linush100 2019-10-13 21:01:36 UTC
I also get the error:

[root@lh3 ~]# dnf system-upgrade download --releasever=30
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Adobe Systems Incorporated                      4.5 kB/s | 1.9 kB     00:00    
Fedora Modular 30 - x86_64                      2.6 MB/s | 1.9 MB     00:00    
Fedora Modular 30 - x86_64 - Updates            6.2 MB/s | 3.4 MB     00:00    
Fedora 30 - x86_64 - Updates                     27 MB/s |  25 MB     00:00    
Fedora 30 - x86_64                              9.8 MB/s |  61 MB     00:06    
google-chrome                                    38 kB/s | 3.5 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates       468 kB/s | 371 kB     00:00    
RPM Fusion for Fedora 30 - Free                 1.1 MB/s | 735 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree - Updates     30 kB/s |  64 kB     00:02    
RPM Fusion for Fedora 30 - Nonfree               42 kB/s | 227 kB     00:05    
Fedora 30 - x86_64 - VirtualBox                 1.1 kB/s | 181  B     00:00    
Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Comment 7 Joshua Wilson 2019-10-15 03:29:38 UTC
I got the error today too when upgrading from f29 to f30. 

[root@localhost console]# dnf system-upgrade download --releasever=30 --skip-broken
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora Modular 30 - x86_64                             76 kB/s |  18 kB     00:00    
Fedora Modular 30 - x86_64 - Updates                  121 kB/s |  17 kB     00:00    
Fedora 30 - x86_64 - Updates                          108 kB/s |  16 kB     00:00    
Fedora 30 - x86_64 - Updates                          3.2 MB/s |  25 MB     00:07    
Fedora 30 - x86_64                                     46 kB/s |  18 kB     00:00    
google-chrome                                          18 kB/s | 1.3 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates              17 kB/s |  10 kB     00:00    
RPM Fusion for Fedora 30 - Free - Updates             498 kB/s | 371 kB     00:00    
RPM Fusion for Fedora 30 - Free                       8.0 kB/s | 3.2 kB     00:00    
Visual Studio Code                                     15 kB/s | 2.9 kB     00:00    
Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64

Comment 8 Daniel 2019-10-20 14:54:24 UTC
upgrades from F29->F30 failing with same error.

Comment 9 Jason Tibbitts 2019-10-21 18:47:10 UTC
Reopening to help ensure that this is seen.

Comment 10 Henning Rogge 2019-10-23 17:09:34 UTC
Happened to me to with a fully updated F29 installation.

Comment 11 Alan Wilken 2019-10-25 18:45:38 UTC
Same issue as reported by others

[user@host ~]$ sudo dnf upgrade --refresh
[sudo] password for Dad: 
Fedora Modular 29 - x86_64                       23 kB/s |  18 kB     00:00    
Fedora Modular 29 - x86_64 - Updates             41 kB/s |  17 kB     00:00    
Fedora 29 - x86_64 - Updates                     40 kB/s |  17 kB     00:00    
Fedora 29 - x86_64                               39 kB/s |  18 kB     00:00    
RPM Fusion for Fedora 29 - Free - Updates       6.5 kB/s | 3.0 kB     00:00    
RPM Fusion for Fedora 29 - Free                 9.0 kB/s | 3.2 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree - Updates    8.9 kB/s | 3.0 kB     00:00    
RPM Fusion for Fedora 29 - Nonfree              9.2 kB/s | 3.2 kB     00:00    
Dependencies resolved.
Nothing to do.
Complete!
[user@host ~]$ sudo dnf install dnf-plugin-system-upgrade
Last metadata expiration check: 0:00:53 ago on Fri 25 Oct 2019 12:59:38 PM CDT.
Package python3-dnf-plugin-system-upgrade-4.0.4-2.fc29.noarch is already installed.
Dependencies resolved.
Nothing to do.
Complete!
[user@host ~]$ sudo dnf system-upgrade download --releasever=30
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora Modular 30 - x86_64                      264 kB/s | 1.9 MB     00:07    
Fedora Modular 30 - x86_64 - Updates            313 kB/s | 2.9 MB     00:09    
Fedora 30 - x86_64 - Updates                    444 kB/s |  25 MB     00:58    
Fedora 30 - x86_64                              461 kB/s |  61 MB     02:15    
RPM Fusion for Fedora 30 - Free - Updates       222 kB/s | 374 kB     00:01    
RPM Fusion for Fedora 30 - Free                 281 kB/s | 735 kB     00:02    
RPM Fusion for Fedora 30 - Nonfree - Updates     71 kB/s |  70 kB     00:00    
RPM Fusion for Fedora 30 - Nonfree              172 kB/s | 227 kB     00:01    
Last metadata expiration check: 0:00:01 ago on Fri 25 Oct 2019 01:07:53 PM CDT.
Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Comment 12 Alan Wilken 2019-10-25 21:27:30 UTC
I believe the renaming of package whois-mkpasswd to mkpasswd in rawhide for Fedora 30 may have propogated to stable 
causing this issue with upgrades. Reference Bug 1649456.

Comment 13 jam01 2019-10-28 00:56:19 UTC
Ah, that makes sense. 

Following advise from the helpful folks at the fedora irc channels, I removed the packages and tried the upgrade. That seemed to work and haven't had any issues so far without them. Not ideal, it's but a practical workaround.

Comment 14 Henning Rogge 2019-10-28 08:40:41 UTC
Uninstalling "whois-mkpasswd" solved the issue for me too. Luckily no other package was depending on it on my system.

Would be good to have some mechanism in place for future renamings/upgrades.

Comment 15 Petr Pisar 2019-10-29 10:47:38 UTC
The 5.2.2 upgrade (bug #1758023) was performed incompletely by an untrained personnel. The split and rename needs a special care. I will fix it.

Comment 16 Fedora Update System 2019-10-29 11:05:03 UTC
FEDORA-2019-f89bfe8b51 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f89bfe8b51

Comment 17 Fedora Update System 2019-10-29 11:05:16 UTC
FEDORA-2019-333bbac0dd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-333bbac0dd

Comment 18 Fedora Update System 2019-10-30 01:19:44 UTC
whois-5.5.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-333bbac0dd

Comment 19 Fedora Update System 2019-10-30 01:29:52 UTC
whois-5.5.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f89bfe8b51

Comment 20 sialia 2019-10-30 20:18:04 UTC
For what it is worth, this situation was resolved for me (on Fedora 29) by issuing 'dnf autoremove' which removed whois-mkpasswd and whois-nls packages. After that, the system upgrade (--releasever=30) worked smoothly.

Comment 21 Henning Rogge 2019-10-31 06:51:07 UTC
Just started an update of another Fedora 29 system to Fedora 30 (same hardware and software than the last one), the bug is gone and the update process started without trouble.

No need to uninstall a package.

Comment 22 Daniel 2019-11-02 09:15:48 UTC
Just tried again this morning (after a dnf --refresh upgrade) and got this:

Error: 
 Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls = 5.5.2-1.fc29, but none of the providers can be installed
  - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
  - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Comment 23 Petr Pisar 2019-11-04 10:53:19 UTC
(In reply to Daniel from comment #22)
> Just tried again this morning (after a dnf --refresh upgrade) and got this:
> 
> Error: 
>  Problem: package whois-mkpasswd-5.5.2-1.fc29.x86_64 requires whois-nls =
> 5.5.2-1.fc29, but none of the providers can be installed
>   - whois-nls-5.5.2-1.fc29.noarch does not belong to a distupgrade repository
>   - problem with installed package whois-mkpasswd-5.5.2-1.fc29.x86_64
> (try to add '--skip-broken' to skip uninstallable packages)

I think you don't have enabled updated-testing repository.

Comment 24 Christopher Meng 2019-11-04 21:13:24 UTC
Confirmed fixed in latest testing update.

Comment 25 Fedora Update System 2019-11-05 03:56:56 UTC
whois-5.5.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2019-11-07 01:17:28 UTC
whois-5.5.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.